LIRC libraries: ir_remote Struct Reference

| LIRC libraries LinuxInfraredRemoteControl

Data Fields
ir_remote Struct Reference

`#include <ir_remote_types.h>`

## Data Fields
const char * | name
const char * | driver
struct ir_ncode * | codes
int | bits
int | flags
int | eps
unsigned int | aeps
char * | dyncodes_name
int | dyncode
struct ir_ncode | dyncodes [2]
lirc_t | phead
lirc_t | shead
lirc_t | pthree
lirc_t | sthree
lirc_t | ptwo
lirc_t | stwo
lirc_t | pone
lirc_t | sone
lirc_t | pzero
lirc_t | szero
lirc_t | plead
lirc_t | ptrail
lirc_t | pfoot
lirc_t | sfoot
lirc_t | prepeat
lirc_t | srepeat
int | pre_data_bits
ir_code | pre_data
int | post_data_bits
ir_code | post_data
lirc_t | pre_p
lirc_t | pre_s
lirc_t | post_p
lirc_t | post_s
__u32 | gap
__u32 | gap2
__u32 | repeat_gap
int | toggle_bit
ir_code | toggle_bit_mask
int | suppress_repeat
int | min_repeat
unsigned int | min_code_repeat
unsigned int | freq
unsigned int | duty_cycle
ir_code | toggle_mask
ir_code | rc6_mask
unsigned int | baud
unsigned int | bits_in_byte
unsigned int | parity
unsigned int | stop_bits
ir_code | ignore_mask
ir_code | repeat_mask
ir_code | toggle_bit_mask_state
int | toggle_mask_state
int | repeat_countdown
struct ir_ncode * | last_code
struct ir_ncode * | toggle_code
int | reps
struct timeval | last_send
lirc_t | min_remaining_gap
lirc_t | max_remaining_gap
lirc_t | min_total_signal_length
lirc_t | max_total_signal_length
lirc_t | min_gap_length
lirc_t | max_gap_length
lirc_t | min_pulse_length
lirc_t | max_pulse_length
lirc_t | min_space_length
lirc_t | max_space_length
int | release_detected
int | manual_sort
struct ir_remote * | next

## Detailed Description

One remote as represented in the configuration file.

Definition at line 167 of file ir_remote_types.h.

## Field Documentation

## § aeps

unsigned int ir_remote::aeps

detecting very short pulses is difficult with relative tolerance for some remotes, this is an absolute tolerance to solve this problem usually you can say 0 here.

Definition at line 174 of file ir_remote_types.h.

## § baud

unsigned int ir_remote::baud

can be overridden by [p|s]zero, [p|s]one

Definition at line 226 of file ir_remote_types.h.

## § bits

int ir_remote::bits

bits (length of code)

Definition at line 171 of file ir_remote_types.h.

## § bits_in_byte

unsigned int ir_remote::bits_in_byte

default: 8

Definition at line 227 of file ir_remote_types.h.

## § driver

const char* ir_remote::driver

Name of driver for LIRCCODE cases.

Definition at line 169 of file ir_remote_types.h.

## § duty_cycle

unsigned int ir_remote::duty_cycle

0<duty cycle<=100

Definition at line 221 of file ir_remote_types.h.

## § dyncode

int ir_remote::dyncode

last received code

Definition at line 181 of file ir_remote_types.h.

## § dyncodes

struct ir_ncode ir_remote::dyncodes[2]

helper structs for unknown buttons

Definition at line 182 of file ir_remote_types.h.

## § dyncodes_name

char* ir_remote::dyncodes_name

name for unknown buttons

Definition at line 180 of file ir_remote_types.h.

## § eps

int ir_remote::eps

eps (relative tolerance)

Definition at line 173 of file ir_remote_types.h.

## § flags

int ir_remote::flags

flags

Definition at line 172 of file ir_remote_types.h.

## § freq

unsigned int ir_remote::freq

modulation frequency

Definition at line 220 of file ir_remote_types.h.

## § gap

__u32 ir_remote::gap

time between signals in usecs

Definition at line 203 of file ir_remote_types.h.

## § gap2

__u32 ir_remote::gap2

time between signals in usecs

Definition at line 204 of file ir_remote_types.h.

## § ignore_mask

ir_code ir_remote::ignore_mask

mask defines which bits can be ignored when matching a code

Definition at line 233 of file ir_remote_types.h.

## § last_code

struct ir_ncode* ir_remote::last_code

code received or sent last

Definition at line 240 of file ir_remote_types.h.

## § last_send

struct timeval ir_remote::last_send

time last_code was received or sent

Definition at line 243 of file ir_remote_types.h.

## § manual_sort

int ir_remote::manual_sort

If set in any remote, disables automatic sorting.

Definition at line 254 of file ir_remote_types.h.

## § max_gap_length

lirc_t ir_remote::max_gap_length

how long is the longest gap

Definition at line 250 of file ir_remote_types.h.

## § max_remaining_gap

lirc_t ir_remote::max_remaining_gap

gap range

Definition at line 245 of file ir_remote_types.h.

## § max_total_signal_length

lirc_t ir_remote::max_total_signal_length

how long is the longest signal including gap

Definition at line 248 of file ir_remote_types.h.

## § min_code_repeat

unsigned int ir_remote::min_code_repeat

meaningful only if remote sends a repeat code: in this case this value indicates how often the real code is repeated before the repeat code is being sent

Definition at line 219 of file ir_remote_types.h.

## § min_gap_length

lirc_t ir_remote::min_gap_length

how long is the shortest gap

Definition at line 249 of file ir_remote_types.h.

## § min_remaining_gap

lirc_t ir_remote::min_remaining_gap

remember gap for CONST_LENGTH remotes

Definition at line 244 of file ir_remote_types.h.

## § min_repeat

int ir_remote::min_repeat

code is repeated at least x times code sent once -> min_repeat=0

Definition at line 211 of file ir_remote_types.h.

## § min_total_signal_length

lirc_t ir_remote::min_total_signal_length

how long is the shortest signal including gap

Definition at line 247 of file ir_remote_types.h.

## § name

const char* ir_remote::name

name of remote control

Definition at line 168 of file ir_remote_types.h.

## § parity

unsigned int ir_remote::parity

currently unsupported

Definition at line 228 of file ir_remote_types.h.

## § plead

lirc_t ir_remote::plead

leading pulse

Definition at line 191 of file ir_remote_types.h.

## § post_data

ir_code ir_remote::post_data

data which the remote sends after actual keycode

Definition at line 199 of file ir_remote_types.h.

## § post_data_bits

int ir_remote::post_data_bits

length of post_data

Definition at line 198 of file ir_remote_types.h.

## § post_s

lirc_t ir_remote::post_s

signal between keycode and post_code

Definition at line 201 of file ir_remote_types.h.

## § pre_data

ir_code ir_remote::pre_data

data which the remote sends before actual keycode

Definition at line 197 of file ir_remote_types.h.

## § pre_data_bits

int ir_remote::pre_data_bits

length of pre_data

Definition at line 196 of file ir_remote_types.h.

## § pre_s

lirc_t ir_remote::pre_s

signal between pre_data and keycode

Definition at line 200 of file ir_remote_types.h.

## § ptrail

lirc_t ir_remote::ptrail

trailing pulse

Definition at line 192 of file ir_remote_types.h.

## § rc6_mask

ir_code ir_remote::rc6_mask

RC-6 doubles signal length of some bits

Definition at line 223 of file ir_remote_types.h.

## § release_detected

int ir_remote::release_detected

set by release generator

Definition at line 253 of file ir_remote_types.h.

## § repeat_gap

__u32 ir_remote::repeat_gap

time between two repeat codes if different from gap

Definition at line 205 of file ir_remote_types.h.

## § repeat_mask

ir_code ir_remote::repeat_mask

mask defines which bits are inverted for repeats

Definition at line 234 of file ir_remote_types.h.

## § sfoot

lirc_t ir_remote::sfoot

foot

Definition at line 193 of file ir_remote_types.h.

## § shead

lirc_t ir_remote::shead

header

Definition at line 186 of file ir_remote_types.h.

## § sone

lirc_t ir_remote::sone

1

Definition at line 189 of file ir_remote_types.h.

## § srepeat

lirc_t ir_remote::srepeat

indicate repeating

Definition at line 194 of file ir_remote_types.h.

## § sthree

lirc_t ir_remote::sthree

3 (only used for RC-MM)

Definition at line 187 of file ir_remote_types.h.

## § stop_bits

unsigned int ir_remote::stop_bits

mapping: 1->2 1.5->3 2->4

Definition at line 229 of file ir_remote_types.h.

## § stwo

lirc_t ir_remote::stwo

2 (only used for RC-MM)

Definition at line 188 of file ir_remote_types.h.

## § suppress_repeat

int ir_remote::suppress_repeat

suppress unwanted repeats

Definition at line 208 of file ir_remote_types.h.

## § szero

lirc_t ir_remote::szero

0

Definition at line 190 of file ir_remote_types.h.

## § toggle_bit

int ir_remote::toggle_bit

obsolete

Definition at line 206 of file ir_remote_types.h.

## § toggle_bit_mask

ir_code ir_remote::toggle_bit_mask

previously only one bit called toggle_bit

Definition at line 207 of file ir_remote_types.h.

## § toggle_code

struct ir_ncode* ir_remote::toggle_code

toggle code received or sent last

Definition at line 241 of file ir_remote_types.h.

## § toggle_mask

ir_code ir_remote::toggle_mask

Sharp (?) error detection scheme

Definition at line 222 of file ir_remote_types.h.

The documentation for this struct was generated from the following file:

- /home/mk/tmp/lirc/lib/ir_remote_types.h (085323c 2016-01-06 15:32:54 +0100)